# Uses of Interface
org.opensaml.saml.saml2.metadata.EntitiesDescriptor

Packages that use EntitiesDescriptor
Package
Description
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of EntitiesDescriptor in org.opensaml.saml.metadata.resolver.filter.impl

Methods in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type EntitiesDescriptor
Modifier and Type
Method
Description
`protected void`
AlgorithmFilter.`filterEntitiesDescriptor(EntitiesDescriptor descriptor)`
Filters entities descriptor.
`protected void`
EntityAttributesFilter.`filterEntitiesDescriptor(EntitiesDescriptor descriptor)`
Filters entities descriptor.
`protected void`
EntityRoleFilter.`filterEntitiesDescriptor(EntitiesDescriptor descriptor)`
Filters `EntitiesDescriptor`.
`protected void`
NameIDFormatFilter.`filterEntitiesDescriptor(EntitiesDescriptor descriptor)`
Filters entities descriptor.
`protected void`
PredicateFilter.`filterEntitiesDescriptor(EntitiesDescriptor descriptor)`
Filters entities descriptor.
`protected String`
SignatureValidationFilter.`getGroupName(EntitiesDescriptor group)`
Get the group's name, or a suitable facsimile if not named.
`protected void`
SignatureValidationFilter.`processEntityGroup(EntitiesDescriptor entitiesDescriptor, MetadataFilterContext context, boolean isRoot)`
Process the signatures on the specified EntitiesDescriptor and any signed children.

## Uses of EntitiesDescriptor in org.opensaml.saml.metadata.resolver.impl

Methods in org.opensaml.saml.metadata.resolver.impl with parameters of type EntitiesDescriptor
Modifier and Type
Method
Description
`protected void`
AbstractMetadataResolver.`preProcessEntitiesDescriptor(EntitiesDescriptor entitiesDescriptor, AbstractMetadataResolver.EntityBackingStore backingStore)`
Pre-process the specified entities descriptor, updating the specified entity backing store instance as necessary.
`protected List<EntityDescriptor>`
AbstractDynamicMetadataResolver.`processNonEntityIDFetchedEntittiesDescriptor(EntitiesDescriptor entities)`
Process an EntitiesDescriptor received from a non-entityID-based fetch.

## Uses of EntitiesDescriptor in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type EntitiesDescriptor
Modifier and Type
Method
Description
`List<EntitiesDescriptor>`
EntitiesDescriptor.`getEntitiesDescriptors()`
Gets a list of child `EntitiesDescriptor`s.

## Uses of EntitiesDescriptor in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement EntitiesDescriptor
Modifier and Type
Class
Description
`class`
`EntitiesDescriptorImpl`
Concrete implementation of `EntitiesDescriptor`.
Methods in org.opensaml.saml.saml2.metadata.impl that return EntitiesDescriptor
Modifier and Type
Method
Description
`EntitiesDescriptor`
EntitiesDescriptorBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`EntitiesDescriptor`
EntitiesDescriptorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type EntitiesDescriptor
Modifier and Type
Method
Description
`List<EntitiesDescriptor>`
EntitiesDescriptorImpl.`getEntitiesDescriptors()`
Gets a list of child `EntitiesDescriptor`s.